=begin
  pre-clean.rb

  Copyright (C) 2001-2004 Masao Mutoh <mutoh@highway.ne.jp>
  This program is licenced under the same licence as Ruby. 
=end

require 'find'

Find.find(".") do |file|
  if File.basename(file) == "CVS"
    File.delete(*Dir.glob(file + "/*"))
    Dir.delete(file)
  end
end
File.delete(*Dir.glob("**/*~"))

RMSGFMT_SRC_TMP = "src/rmsgfmt.tmp.rb"
RMSGFMT_TMP = "bin/rmsgfmt"
File.delete(RMSGFMT_SRC_TMP) if FileTest.exist?(RMSGFMT_SRC_TMP)
File.delete(RMSGFMT_TMP) if FileTest.exist?(RMSGFMT_TMP)
Dir.glob("data/**/*.mo").each do |file|
  File.delete(file)
end

